Subject: bug#54804: 29.0.50; zap-to-char: case sensitive for upper-case letter

From: Sean Whitton <[email-masked]>
Date: Sat, 21 May 2022 11:53:44 -0700

Hello,

On Sat 21 May 2022 at 08:38am +03, Eli Zaretskii wrote:

>> Could we have a defcustom to always be case-sensitive, please?
>
> We already have: case-fold-search.
>
>> I like the way C-s works by default but for zap-* I'd prefer case
>> sensitivity in every case.
>
> Why?

Hard to say -- C-s never surprises me but when 'M-z a' jumps to an A it
does :)

> It is a slippery slope to have a separate case-sensitivity option for
> each command or a couple of commands.  If that is what you want, you
> can always write your own one-line wrapper around each of these
> commands, but I don't see any reason that Emacs should provide that
> for everyone.
>
> So I don't think we should provide such a defcustom for these two
> commands.

I agree, adding a wrapper of my own is better.

Thanks for the commit, Tino, and to the reviewers.

-- 
Sean Whitton